Subject: Re: bug#50927: [External] : bug#50927: Considering only entries with unique keys in map.el?

From: Michael Heerdegen <[email-masked]>
Date: Fri, 01 Oct 2021 04:17:12 +0200

Drew Adams <[email-masked]> writes:

> > entry with the same key.  This is a misleading behavior.
>
> Actually, it's a handy behavior.  It's one of the main ideas behind
> alists.  You can just remove or skip the first match of a given key to
> restore or use the next one.

I tend to agree.  And it's easy to avoid duplicate entries - they
are not introduced when using the map.el functions the right way.

OTOH: the map looping or do- tools also useful for inspecting duplicates
- this is useful.  Avoiding duplicates would also mean O(n^2) equality
tests per map - right?

Michael.